/*
******************************************************************
Default und Custom CSS for Module Form

(c) sinntun.codes
******************************************************************
*/

/*** form-info / form-error
******************************************************************/

.form-info {
    margin-bottom: 20px;
}

.form-error p {
    padding: 12px;
    border: 1px solid #ff0000;
    display: block;
    margin-bottom: 20px;
}

.form-row input.error {
    border: 1px solid #ff0000;
}

/*****************************************************************
**** form-rows
******************************************************************/

.form-row {
    clear: both;
    margin-bottom: 20px;
    width: 100%;
}

/*****************************************************************
**** FormElements
******************************************************************/

.form-row label {
    float: left;
    width: 100%;
    padding: 5px 0;
}

/* honeypot */
.form-row.email {
    display: none;
}

/*** text, textarea
******************************************************************/

.defaultform textarea {
    display: block;
    border: 1px solid #000;
    padding: 5px;
    color: #000;
    font-size: 24px;
    font-family: var(--site-font), sans-serif;
    width: 60%;
    box-sizing: border-box;
    resize: vertical;
}

.defaultform .textbox {
    display: block;
    width: 60%;
    box-sizing: border-box;
    border: 1px solid #000;
    padding: 5px 10px;
    font-size: 24px;
    color: #000;
    font-family: var(--site-font), sans-serif;
}

.defaultform textarea:focus,
.defaultform textarea:focus-visible,
.defaultform .textbox:focus {
    border: 1px solid #ee7f01;
    outline: none;
}

.form-row.message textarea {
    width: 100%;
    clear: both;
}

/*** selectbox
******************************************************************/

.form-row select {
    display: inline-block;
    padding: 5px;
    width: calc(100% - 147px);
    box-sizing: border-box;
}

/*** checkbox
******************************************************************/

.form-row .checkbox-text {
    padding-left: 10px;
}

/*** radiobuttons
******************************************************************/

.form-row input[type='radio'] {
    margin: 5px 5px 0 0;
    height: 20px;
}

.radiobutton-wrapper label {
    width: 80px;
}

.radiobuttons-wrapper input {
    float: left;
}

.radiobuttons-wrapper.rows {
    display: block;
    width: 600px;
    float: left;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper {
    display: blocK;
    clear: both;
    float: none;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper label {
    max-width: 550px;
}

/*** .postcode and place in one line
******************************************************************/

.form-row.postcode-place label {
    float: left;
    width: auto;
}

.form-row .form-postcode-place-label {
    float: left;
    width: 200px;
}

.form-row .form-postcode-place-label span {
    float: left;
    margin-top: 5px;
}

.form-row .form-postcode-place-input-wrapper {
    width: calc(100% - 200px);
    box-sizing: border-box;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
}

.form-row .form-postcode-input,
.form-row .form-place-input {
    display: block;
    overflow: hidden;
}

.form-row .form-postcode-input {
    width: calc(40% - 8px);
}

.form-row .form-place-input {
    width: 100%;
    padding-left: 8px;
}

.form-row .form-postcode-input .textbox {
    width: 100% !important;
}

.form-row .form-place-input .textbox {
    width: 100% !important;
}

/*** .dateselector
******************************************************************/

.dateselector_day {
    width: 55px;
}

.dateselector_month {
    width: 55px;
}

.dateselector_year {
    width: 110px;
}

/* .dateselector_monthyear used in DateSelector2 */
.dateselector_monthyear {
    width: 200px;
}

.dateselector_textbox_day {
    width: 55px;
}

.dateselector_textbox_month {
    width: 55px;
}

.dateselector_textbox_year {
    width: 110px;
}

.datetimeselector_day {
    width: 55px;
}

.datetimeselector_month {
    width: 55px;
}

.datetimeselector_year {
    width: 110px;
}

.datetimeselector_hour {
    width: 50px;
}

.datetimeselector_minute {
    width: 50px;
}

/*** captcha
******************************************************************/
.form-row.captcha div {
    display: flex;
    flex-direction: column;
}

.form-row.captcha div img {
    max-width: 300px;
    margin-bottom: 8px;
}

.form-row.captcha div input {
    width: 100%;
    max-width: 300px;
}

/*** files
******************************************************************/
.form-row .imageupload {
    display: block;
    padding: 5px 0;
}

.form-row .imageupload tbody,
.form-row .imageupload tbody tr,
.form-row .imageupload tbody tr td {
    display: block;
}

.form-row .imageupload .filepond--item * {
    color: #fff;
}

/*** submit
******************************************************************/

.defaultform .form-submit-container {
    float: left;
    width: 100%;
    display: block;
    margin-top: 10px;
}

.defaultform .button-submit {
    border: none;
    cursor: pointer;
    font-size: 24px;
    line-height: 24px;
    display: inline-block;
    width: 440px;
    margin-top: 11px;
    padding: 10px 15px;
}

.defaultform .button-submit:hover {
    text-decoration: none;
    opacity: 1;
}

.pageElement-contactform .button-submit {
    /*background-color: #cc3f35;*/
    /*color: #fff;*/
}

.pageElement-contactform .button-submit:hover {
    cursor: pointer;
    /*background-color: #0072bb;*/
}

@media only screen and (max-width: 340px) {
    .defaultform .textbox {
        margin-left: 15px;
        width: 64%;
    }
}

@media only screen and (max-width: 650px) {
    .form-row input[type='text'],
    .form-row input[type='password'],
    .form-row input[type='email'],
    .form-row textarea {
        width: 100%;
        box-sizing: border-box;
    }

    .defaultform select {
        max-width: 100%;
    }

    .form-postcode-place-label {
        width: 100%;
    }

    .button-submit {
        margin-left: 0;
    }

    .form-postcode-place-input-wrapper {
        width: 100%;
        box-sizing: border-box;
    }

    .form-postcode-input {
        width: 30%;
    }

    .form-place-input {
        width: calc(70% - 10px);
    }

    .form-postcode-input .textbox {
        width: 100% !important;
        box-sizing: border-box;
    }

    .form-place-input .textbox {
        width: 100% !important;
        box-sizing: border-box;
    }

    .form-row label[for='gender-1'],
    .form-row label[for='gender-2'] {
        width: auto;
    }

    .form-row label[for='gender-1'] {
        margin-right: 15px;
    }

    .form-row label[for='gender'] {
        width: auto;
        margin-right: 15px;
    }
}

@media only screen and (max-width: 760px) {
    .defaultform .textbox,
    .defaultform #message {
        width: 60%;
    }

    .form-info {
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 1024px) {
    .defaultform {
        width: 100%;
        padding: 50px 0 0;
    }
}

@media only screen and (max-width: 1450px) {
    .defaultform .textbox {
        width: 80% !important;
        margin: 10px 0;
    }

    .defaultform .form-row.message {
        display: block;
    }

    .defaultform #message {
        width: 80%;
        margin-top: 10px;
    }

    .defaultform .button-submit {
        width: 100%;
        margin-left: 10px !important;
    }

    .form-place-input {
        width: calc(70% - 30px);
    }
}
